Index: Makefile
--- Makefile.orig	2005-02-22 00:13:55 +0100
+++ Makefile	2005-02-22 20:59:42 +0100
@@ -34,36 +34,36 @@
 sense: chklastlog chkwtmp ifpromisc chkproc chkdirs check_wtmpx strings-static chkutmp
 
 chklastlog:   chklastlog.c
-	${CC} ${CFLAGS} -o $@ chklastlog.c
+	${CC} ${CFLAGS} ${LDFLAGS} -o $@ chklastlog.c ${LIBS}
 	@strip $@
 
 chkwtmp:   chkwtmp.c
-	${CC} ${CFLAGS} -o $@ chkwtmp.c
+	${CC} ${CFLAGS} ${LDFLAGS} -o $@ chkwtmp.c ${LIBS}
 	@strip $@
 
 ifpromisc:   ifpromisc.c
-	${CC} ${CFLAGS} ${LDFLAGS}  -D_FILE_OFFSET_BITS=64 -o $@ ifpromisc.c
+	${CC} ${CFLAGS} ${LDFLAGS}  -D_FILE_OFFSET_BITS=64 -o $@ ifpromisc.c ${LIBS}
 	@strip $@
 
 chkproc:   chkproc.c
-	${CC} ${LDFLAGS} -o $@ chkproc.c
+	${CC} ${CFLAGS} ${LDFLAGS} -o $@ chkproc.c ${LIBS}
 	@strip $@
 
 chkdirs:   chkdirs.c
-	${CC} ${LDFLAGS} -o $@ chkdirs.c
+	${CC} ${CFLAGS} ${LDFLAGS} -o $@ chkdirs.c ${LIBS}
 	@strip $@
 
 check_wtmpx:   check_wtmpx.c
-	${CC} ${LDFLAGS} -o $@ check_wtmpx.c
+	${CC} ${CFLAGS} ${LDFLAGS} -o $@ check_wtmpx.c ${LIBS}
 	@strip $@
 
 chkutmp:   chkutmp.c
-	${CC} ${LDFLAGS} -o $@ chkutmp.c
+	${CC} ${CFLAGS} ${LDFLAGS} -o $@ chkutmp.c ${LIBS}
 	@strip $@
 
 
 strings-static:   strings.c
-	${CC} ${STATIC} ${LDFLAGS} -o $@ strings.c
+	${CC} ${CFLAGS} ${STATIC} ${LDFLAGS} -o $@ strings.c ${LIBS}
 	@strip $@
 
 clean:
Index: chkdirs.c
--- chkdirs.c.orig	2004-09-06 21:24:56 +0200
+++ chkdirs.c	2005-02-22 20:58:05 +0100
@@ -41,6 +41,14 @@
 #define NAME_MAX        PATH_MAX
 #endif
 
+#ifndef NAME_MAX
+#define NAME_MAX 14
+#endif
+
+#ifndef PATH_MAX
+#define PATH_MAX 1024
+#endif
+
 struct dirinfolist {
   char                   dil_name[NAME_MAX+1];
   int                    dil_lc;
